toutes les options
jessie  ] [  stretch  ] [  buster  ] [  bullseye  ] [  sid  ]
[ Paquet source : libparams-validate-perl  ]

Paquet : libparams-validate-perl (1.13-1 et autres)

Liens pour libparams-validate-perl

Screenshot

Ressources Debian :

Télécharger le paquet source libparams-validate-perl :

Responsables :

Ressources externes :

Paquets similaires :

Perl module to validate parameters to Perl method/function calls

Params::Validate is a Perl module providing a flexible way to validate method and function call parameters. The validation can be as simple as checking for the presence of required parameters, or more complex, like validating object classes (via isa) or capabilities (via can) and checking parameter types. It also provides extensibility through customized validation callbacks.

The module has been designed to work equally well with positional or named parameters (via a hash or hash reference) and includes experimental support for attributes (see Attribute::Params::Validate for details).

Étiquettes: Développement de logiciel: Programmation Perl, Bibliothèques, Mis en œuvre en: Perl

Autres paquets associés à libparams-validate-perl

  • dépendances
  • recommandations
  • suggestions
  • enhances

Télécharger libparams-validate-perl

Télécharger pour toutes les architectures proposées
Architecture Version Taille du paquet Espace occupé une fois installé Fichiers
amd64 1.13-1+b1 63,7 ko138,0 ko [liste des fichiers]
armel 1.13-1+b1 61,3 ko216,0 ko [liste des fichiers]
armhf 1.13-1+b1 61,7 ko204,0 ko [liste des fichiers]
i386 1.13-1+b1 66,5 ko149,0 ko [liste des fichiers]